Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 699476 - Eclass reference pages are not rendered properly
Summary: Eclass reference pages are not rendered properly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Infrastructure
URL: https://devmanual.gentoo.org/eclass-r...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-06 21:15 UTC by Göktürk Yüksek
Modified: 2019-11-25 21:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Göktürk Yüksek gentoo-dev 2019-11-06 21:15:06 UTC
The eclass reference for savedconfig.eclass doesn't render properly. The issue seems to be in parsing the @ROFF directive for establishing a bulleted indented paragraph (https://github.com/gentoo/gentoo/blob/master/eclass/savedconfig.eclass#L20).
Comment 1 Larry the Git Cow gentoo-dev 2019-11-25 21:03:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9659e5c8c618c7dfa4a6c3103fee9f3e5c53cb02

commit 9659e5c8c618c7dfa4a6c3103fee9f3e5c53cb02
Author:     Göktürk Yüksek <gokturk@gentoo.org>
AuthorDate: 2019-11-07 23:49:49 +0000
Commit:     Göktürk Yüksek <gokturk@gentoo.org>
CommitDate: 2019-11-25 20:59:58 +0000

    eclass/savedconfig.eclass: rewrite the ROFF macros
    
    man2html cannot cope with multi-character number-register names and
    also doesn't recognize the square brackets in the '\n' escape
    sequence. This breaks the autogenerated HTML output. Rename the
    number-register from "step" to "R" and get rid of the square brackets.
    
    URL: https://archives.gentoo.org/gentoo-dev/message/b619a5775cbe6d0b650d827338ef8ca2
    Closes: https://bugs.gentoo.org/699476
    
    Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>
    Acked-by: Lars Wendler <polynomial-c@gentoo.org>

 eclass/savedconfig.eclass | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)